/**
 * Data model pour les charmes
 */
export default class CharmeDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      description: new fields.HTMLField({ initial: "" }),
      charmetype: new fields.StringField({ initial: "tour" }),
      resultats: new fields.ArrayField(new fields.SchemaField({
        value: new fields.NumberField({ initial: -1, integer: true }),
        description: new fields.StringField({ initial: "" })
      }), { 
        initial: [
          { value: -1, description: "" },
          { value: -1, description: "" },
          { value: -1, description: "" },
          { value: -1, description: "" },
          { value: -1, description: "" },
          { value: -1, description: "" }
        ]
      })
    };
  }
}
